﻿@model IEnumerable<eCommerce.Services.Model.Order>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th style="width:30px;">#Id</th>
            <th class="col-sm-1">Fecha</th>
            <th>Cliente</th>
            <th class="text-center">Canal</th>
            <th class="text-center">F. Pago</th>
            <th class="text-center">F. Entrega</th>
            <th text-center">Total ($)</th>
            <th class="text-center">Cobro</th>
            <th class="text-center">Entrega</th>
            <th class="text-center">Estado</th>      
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.OrderId)</td>
            <td>@string.Format("{0:dd/MM/yyyy}", item.Created)</td>
            <td>@Html.DisplayFor(modelItem => item.Customer.FullName)</td>
            <td class="text-center">@(((OrderChannelEnum)item.Channel))</td>
            <td class="text-center">
                @switch (((PaymentMethodEnum)item.PaymentMethodId))
                {
                    case PaymentMethodEnum.Convenir:
                    case PaymentMethodEnum.Efectivo:
                    case PaymentMethodEnum.MercadoPago:
                        <label>@((PaymentMethodEnum)item.PaymentMethodId)</label>
                        break;
                    case PaymentMethodEnum.TransferenciaBancaria:
                        <label>Transferencia</label>
                        break;
                }
            </td>
            <td class="text-center">
                @switch (((DeliveryMethodEnum)item.DeliveryMethodId))
                {
                    case DeliveryMethodEnum.MotoEntrega:
                        <label>Moto</label>
                        break;
                    case DeliveryMethodEnum.OcaPaP:
                        <label>OCA - Envio a domicilio</label>
                        break;
                    case DeliveryMethodEnum.OcaPaS:
                        <label>OCA - Envio a sucursal</label>
                        break;
                    case DeliveryMethodEnum.RetiraEnCentroDeEntrega:
                        <label>Retira</label>
                    case DeliveryMethodEnum.Transporte:
                        <label>Transporte</label>
                        break;
                } 
            </td>
            <td class="text-right">@string.Format("{0:C2}", item.Total)</td>
            <td class="text-center">
                <span class="label label-outline label-@((PaymentStatusEnum)item.PaymentStatusId == PaymentStatusEnum.Pendiente ? "warning" : "success")">
                    @item.PaymentStatus
                </span>
            </td>
            <td class="text-center">
                <span class="label label-outline label-@((DeliveryStatusEnum)item.DeliveryStatusId == DeliveryStatusEnum.Pendiente ? "warning" : "success")">
                    @item.DeliveryStatus
                </span>
            </td>
            <td class="text-center">
                <span class="label label-outline label-@((OrderStatusEnum)item.OrderStatusId == OrderStatusEnum.Cancelada ? "danger" : "success")">@((OrderStatusEnum)item.OrderStatusId)</span></td>
            <td class="actions text-left">
                
                <a href="/Orders/OrderUpdate/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                
                @*<a href="/OrderPayments?id=@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Enviar Proforma"><i class="icon fa-envelope-o" aria-hidden="true"></i></a>*@
                
                <a href="/OrderPayments?id=@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Cobros"><i class="icon fa-money" aria-hidden="true"></i></a>
                
                <a href="/DeliveryOrders/DeliveryOrderList/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Entregas"><i class="icon fa-bus" aria-hidden="true"></i></a>

                <a href="/Orders/OrderPrint/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Imprimir"><i class="icon fa-print" aria-hidden="true"></i></a>
                
                @if (item.OrderStatusId != (int)OrderStatusEnum.Cancelada)
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default cancel-row"
                       data-toggle="tooltip" data-original-title="Cancelar" data-rowid="@item.OrderId"><i class="icon fa-ban" aria-hidden="true"></i></a>
                }
                else
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.OrderId"><i class="icon wb-trash" aria-hidden="true"></i></a>
                }

            </td>
        </tr>
    }
    </tbody>
</table>
